cpw.mods.fml.common.eventhandler

## Class ListenerList

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.ListenerList

-     public class ListenerList
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListenerList()`
    `ListenerList(ListenerList parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearBusID(int id)`
    `protected cpw.mods.fml.common.eventhandler.ListenerList.ListenerListInst` | `getInstance(int id)`
    `IEventListener[]` | `getListeners(int id)`
    `void` | `register(int id, EventPriority priority, IEventListener listener)`
    `static void` | `resize(int max)`
    `void` | `resizeLists(int max)`
    `void` | `unregister(int id, IEventListener listener)`
    `static void` | `unregisterAll(int id, IEventListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListenerList

          public ListenerList()

    - #### ListenerList

          public ListenerList(ListenerList parent)

  - ### Method Detail

    - #### resize

          public static void resize(int max)

    - #### resizeLists

          public void resizeLists(int max)

    - #### clearBusID

          public static void clearBusID(int id)

    - #### getInstance

          protected cpw.mods.fml.common.eventhandler.ListenerList.ListenerListInst getInstance(int id)

    - #### getListeners

          public IEventListener[] getListeners(int id)

    - #### register

          public void register(int id,
                      EventPriority priority,
                      IEventListener listener)

    - #### unregister

          public void unregister(int id,
                        IEventListener listener)

    - #### unregisterAll

          public static void unregisterAll(int id,
                           IEventListener listener)